[Erledigt] Kanotix-2005-04 + udev Probs + ivtv

  • Hi,


    Ich mach den Thread jetzt hier weiter.
    Problembeschreibung hab ich hier angefangen:


    [ANNOUNCE] x-vdr-0.4.35


    Damit man weiss um was es geht füg ich es hier nochmal als Zitat ein:




    wirbel
    Hab nur diese eine rules 010_eigen.rules angelegt, da ich die anderen Änderungen immer gleich wieder zurückgenommen habe, da sie ja eh nicht fruchten.
    Die Links haben das Datum 10.03.2006.


    Ramdisk > weiss ich nicht.
    Wie kann ich das feststellen?


    Gruss , Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

    Dieser Beitrag wurde bereits 1 Mal editiert, zuletzt von Bert ()

  • Mal in díe Startscripte schaun, ob da ne Ramdisk für /dev angelegt wird. Muss noch vor dem Start von udev sein.

  • Hi, wirbel




    Hab hier in rcSd S03udev


    Zur ramdisc
    Meinst vielleicht das hier:


    #!/bin/sh
    #
    # initrd-tools.sh Unmount and free the initrd.
    #
    # Version: $Id: initrd-tools.sh,v 1.5 2002/08/18 00:10:30 herbert Exp $
    #


    . /etc/default/initrd-tools.sh


    [ "$KEEPINITRD" = yes ] && exit
    command -v blockdev > /dev/null 2>&1 || exit 0


    [ -f /proc/mounts ] || {
    mount -n /proc || exit
    trap 'umount -n /proc' EXIT
    }


    grep -q '^[^ ]* /initrd ' /proc/mounts || exit 0


    if [ -c /initrd/dev/.devfsd ]; then
    umount /initrd/dev || exit
    fi
    umount /initrd || exit


    if [ -b /dev/ram0 ]; then
    blockdev --flushbufs /dev/ram0
    elif [ -b /dev/rd/0 ]; then
    blockdev --flushbufs /dev/rd/0
    else
    echo "freeinitrd.sh: Cannot find initrd device" >&2
    exit 1
    fi



    Es nennt sich S05initrd-tools.sh


    Im Log gibts zumindest das hier:
    Mar 10 19:47:41 KanotixBox kernel: RAMDISK driver initialized: 16 RAM disks of 100000K size 1024 blocksize
    Mar 10 19:47:41 KanotixBox kernel: loop: loaded (max 8 devices)



    Gruss , Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Nee, das ist ne initrd, wo man Module und Tools reinpackt die vor dem Mounten des rootdateisystems benötigt werden.

  • Hi, wirbel


    Also das StartScript S03udev benötigt das Script mountvirtfs welches anscheinend nur in /etc/init.d
    liegt, es sieht so aus:


    #! /bin/sh
    #
    # mountvirtfs
    #
    # Obsolete, but still provided for backward-compatibility
    #
    # Do not run this script directly in runlevel S.
    # Run mountkernfs.sh and mountdevsubfs.sh instead.
    #


    case "$1" in
    start|"")
    set "start"
    . /etc/init.d/mountkernfs.sh
    set "start"
    . /etc/init.d/mountdevsubfs.sh
    ;;
    restart|reload|force-reload)
    echo "Error: argument '$1' not supported" >&2
    exit 3
    ;;
    stop)
    # No-op
    ;;
    *)
    echo "Usage: mountvirtfs [start|stop]" >&2
    exit 3
    ;;
    esac



    Wie man sehen kann ruft dieses Script wiederum die zwei Scripts mountkernfs.sh und mountdevsubfs.sh
    auf.
    Wobei das Script mountdevsubfs.sh so aussieht:


    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides: mountdevsubfs mountvirtfs
    # Required-Start: mountkernfs
    # Required-Stop:
    # Default-Start: S
    # Default-Stop:
    # Short-Description: Mount special file systems under /dev.
    # Description: Mount the virtual filesystems the kernel provides
    # that ordinarily live under the /dev filesystem.
    ### END INIT INFO
    #
    # This script gets called multiple times during boot and is also
    # called in initscripts postinst
    #


    PATH=/lib/init:/sbin:/bin
    TTYGRP=5
    TTYMODE=620
    [ -f /etc/default/devpts ] && . /etc/default/devpts


    TMPFS_SIZE=
    [ -f /etc/default/tmpfs ] && . /etc/default/tmpfs


    KERNEL="$(uname -s)"


    . /lib/lsb/init-functions
    . /lib/init/mount-functions.sh


    do_start () {
    #
    # Mount a tmpfs on /dev/shm
    #
    SHM_OPT=
    [ "${SHM_SIZE:=$TMPFS_SIZE}" ] && SHM_OPT="-osize=$SHM_SIZE"
    domount tmpfs shmfs /dev/shm $SHM_OPT


    #
    # Mount /dev/pts. Create master ptmx node if needed.
    #
    # As of 2.5.68, devpts is not automounted when using devfs. So we
    # mount devpts if it is compiled in (older devfs didn't require it
    # to be compiled in at all).
    #
    if [ "$KERNEL" = Linux ]
    then
    #
    # Since kernel 2.5.something, devfs doesn't include
    # a standard /dev/pts directory anymore. So if devfs
    # is mounted on /dev we need to create that directory
    # manually.
    #
    if [ ! -d /dev/pts ]
    then
    if grep -qs '/dev devfs' /proc/mounts
    then
    mkdir --mode=755 /dev/pts
    fi
    fi
    if [ -d /dev/pts ]
    then
    if [ ! -c /dev/ptmx ]
    then
    mknod --mode=666 /dev/ptmx c 5 2
    ES=$?
    if [ "$ES" != 0 ]
    then
    log_warning_msg "Failed making node /dev/ptmx with error code ${ES}."
    fi
    fi
    domount devpts "" /dev/pts -ogid=$TTYGRP,mode=$TTYMODE
    fi
    fi
    }


    case "$1" in
    "")
    echo "Warning: mountdevsubfs should be called with the 'start' argument." >&2
    do_start
    ;;
    start)
    do_start
    ;;
    restart|reload|force-reload)
    echo "Error: argument '$1' not supported" >&2
    exit 3
    ;;
    stop)
    # No-op
    ;;
    *)
    echo "Usage: mountdevsubfs [start|stop]" >&2
    exit 3
    ;;
    esac



    Könnte es das sein?
    Hab von ramdisk no Ahnung.


    Das StartScript mountkernfs.sh poste ich auch noch < sieht so aus:


    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides: mountkernfs
    # Required-Start:
    # Required-Stop:
    # Default-Start: S
    # Default-Stop:
    # Short-Description: Mount kernel virtual file systems.
    # Description: Mount initial set of virtual filesystems the kernel
    # provides and that are required by everything.
    ### END INIT INFO
    #
    # This script gets called multiple times during boot and is also
    # called in initscripts postinst
    #


    PATH=/lib/init:/sbin:/bin


    . /lib/lsb/init-functions
    . /lib/init/mount-functions.sh


    do_start () {
    #
    # Mount proc filesystem on /proc
    #
    domount proc "" /proc


    #
    # Mount sysfs on /sys
    #
    # Only mount sysfs if it is supported (kernel >= 2.6)
    if grep -E -qs "sysfs\$" /proc/filesystems
    then
    domount sysfs "" /sys
    fi


    #
    # Mount usbfs/usbdevfs if /proc/bus/usb is present.
    #
    # Usbfs/usbdevfs is used for USB related binaries/libraries.
    # "usbfs" and "usbdevfs" are the exact same filesystem.
    # "usbdevfs" was renamed to "usbfs" by linux usb developers,
    # because people sometimes mistook it as a part of devfs. Usbfs
    # will be superseded by other filesystems (e.g. sysfs), and when
    # it becomes obsolete the mount action below should be removed.
    #
    if [ -d /proc/bus/usb ]
    then
    domount usbfs usbdevfs /proc/bus/usb
    fi
    }


    case "$1" in
    "")
    echo "Warning: mountvirtfs should be called with the 'start' argument." >&2
    do_start
    ;;
    start)
    do_start
    ;;
    restart|reload|force-reload)
    echo "Error: argument '$1' not supported" >&2
    exit 3
    ;;
    stop)
    # No-op
    ;;
    *)
    echo "Usage: mountvirtfs [start|stop]" >&2
    exit 3
    ;;
    esac




    Gruss Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Hi,


    Und jetzt noch das udev Script selbst mit Namen S03udev:


    #!/bin/sh -e
    ### BEGIN INIT INFO
    # Provides: udev
    # Required-Start: mountvirtfs
    # Required-Stop:
    # Default-Start: S
    # Default-Stop:
    # Short-Description: Start udevd, populate /dev and load drivers.
    ### END INIT INFO


    # we need to unmount /dev/pts/ and remount it later over the tmpfs
    unmount_devpts() {
    if mountpoint -q /dev/pts/; then
    umount -n -l /dev/pts/
    fi


    if mountpoint -q /dev/shm/; then
    umount -n -l /dev/shm/
    fi
    }


    # mount a tmpfs over /dev, if somebody did not already do it
    mount_tmpfs() {
    if grep -E -q "^[^[:space:]]+ /dev tmpfs" /proc/mounts; then
    return
    fi


    # /dev/.static/dev/ is used by MAKEDEV to access the real /dev/ directory.
    # /etc/udev/ is recycled as a temporary mount point because it's the only
    # directory which is guaranteed to be available.
    mount -n --bind /dev /etc/udev


    if ! mount -n -o size=$tmpfs_size,mode=0755 -t tmpfs tmpfs /dev; then
    umount -n /etc/udev
    log_failure_msg "udev requires tmpfs support, not started."
    log_end_msg 1
    fi


    mkdir -p /dev/.static/dev
    chmod 700 /dev/.static/
    mount -n --move /etc/udev /dev/.static/dev
    }


    # I hate this hack. -- Md
    make_extra_nodes() {
    if [ "$(echo /lib/udev/devices/*)" != "/lib/udev/devices/*" ]; then
    cp --archive --update /lib/udev/devices/* /dev/
    fi


    [ -e /etc/udev/links.conf ] || return 0
    grep '^[^#]' /etc/udev/links.conf | \
    while read type name arg1; do
    [ "$type" -a "$name" -a ! -e "/dev/$name" -a ! -L "/dev/$name" ] ||continue
    case "$type" in
    L) ln -s $arg1 /dev/$name ;;
    D) mkdir -p /dev/$name ;;
    M) mknod -m 600 /dev/$name $arg1 ;;
    *) log_warning_msg "links.conf: unparseable line ($type $name $arg1)" ;;
    esac
    done
    }


    supported_kernel() {
    case "$(uname -r)" in
    2.[012345].*|2.6.[0-9]|2.6.[0-9][!0-9]*) return 1 ;;
    2.6.1[01]|2.6.1[01][!0-9]*) return 1 ;;
    esac
    return 0
    }


    set_hotplug_handler() {
    case "$(uname -r)" in
    2.6.1[0-4]|2.6.1[0-4][!0-9]*) HANDLER='/sbin/udevsend' ;;
    esac
    echo $HANDLER > /proc/sys/kernel/hotplug
    }


    # shell version of /usr/bin/tty
    my_tty() {
    [ -x /bin/readlink ] || return 0
    [ -e /proc/self/fd/0 ] || return 0
    readlink --silent /proc/self/fd/0 || true
    }


    warn_if_interactive() {
    if [ "$RUNLEVEL" = "S" -a "$PREVLEVEL" = "N" ]; then
    return
    fi


    TTY=$(my_tty)
    if [ -z "$TTY" -o "$TTY" = "/dev/console" ]; then
    return
    fi


    printf "\n\n\nIt has been detected that the command\n\n\t$0 $*\n\n"
    printf "has been run from an interactive shell.\n"
    printf "It will probably not do what you expect, so this script will wait\n"
    printf "60 seconds before continuing. Press ^C to stop it.\n"
    printf "RUNNING THIS COMMAND IS HIGHLY DISCOURAGED!\n\n\n\n"
    sleep 60
    }


    ##############################################################################


    [ -x /sbin/udevd ] || exit 0


    PATH="/sbin:/bin"


    # defaults
    tmpfs_size="10M"
    udev_root="/dev"
    udevd_timeout=30


    if [ -e /etc/udev/udev.conf ]; then
    . /etc/udev/udev.conf
    fi


    . /lib/lsb/init-functions


    if ! supported_kernel; then
    log_failure_msg "udev requires a kernel >= 2.6.12, not started."
    log_end_msg 1
    fi


    if [ ! -e /proc/filesystems ]; then
    log_failure_msg "udev requires a mounted procfs, not started."
    log_end_msg 1
    fi


    if ! grep -q '[[:space:]]tmpfs$' /proc/filesystems; then
    log_failure_msg "udev requires tmpfs support, not started."
    log_end_msg 1
    fi


    if [ ! -d /sys/class/ ]; then
    log_failure_msg "udev requires a mounted sysfs, not started."
    log_end_msg 1
    fi


    if [ ! -e /proc/sys/kernel/hotplug ]; then
    log_failure_msg "udev requires hotplug support, not started."
    log_end_msg 1
    fi


    ##############################################################################


    # this is experimental and may not work well
    if [ "$UDEV_DISABLED" = "yes" ]; then
    udev_root=/etc/udev/.dev
    UDEV_ROOT=$udev_root
    fi


    udev_root=${udev_root%/}


    if [ "$udev_root" != "/dev" ]; then
    log_warning_msg "udev_root != /dev/"


    case "$1" in
    start)
    if [ -e "$udev_root/.udev/" ]; then
    if mountpoint -q /dev/; then
    log_failure_msg "udev is already active on $udev_root."
    log_end_msg 1
    else
    log_warning_msg ".udev/ already exists on the static $udev_root!"
    fi
    fi


    log_daemon_msg "Starting the hotplug events dispatcher" "udevd"
    if udevd --daemon; then
    log_end_msg $?
    else
    log_end_msg $?
    fi


    set_hotplug_handler


    mount -n -o size=$tmpfs_size,mode=0755 -t tmpfs tmpfs $udev_root
    mkdir -p $udev_root/.udev/ $udev_root/.udev/db/ $udev_root/.udev/queue/


    log_action_begin_msg "Synthesizing initial hotplug events"
    if udevsynthesize; then
    log_action_end_msg $?
    else
    log_action_end_msg $?
    fi
    ;;


    stop)
    log_daemon_msg "Stopping the hotplug events dispatcher" "udevd"
    if start-stop-daemon --stop --name udevd --quiet --oknodo --retry 5; then
    log_end_msg $?
    else
    log_end_msg $?
    fi


    log_action_begin_msg "Unmounting $udev_root"
    # unmounting with -l should never fail
    if umount -n -l $udev_root; then
    log_action_end_msg $?
    else
    log_action_end_msg $?
    fi
    ;;


    restart|force-reload)
    $0 stop
    $0 start
    ;;


    *)
    echo "Usage: /etc/init.d/udev {start|stop|restart|force-reload}"
    exit 1
    ;;
    esac


    exit 0
    fi # udev_root != /dev


    ##############################################################################


    # When modifying this script, do not forget that between the time that
    # the new /dev has been mounted and udevsynthesize has been run there will be
    # no /dev/null. This also means that you cannot use the "&" shell command.


    case "$1" in
    start)
    if [ -e "$udev_root/.udev/" ]; then
    if mountpoint -q /dev/; then
    TMPFS_MOUNTED=1
    else
    log_warning_msg ".udev/ already exists on the static $udev_root!"
    fi
    else
    warn_if_interactive
    fi


    log_daemon_msg "Starting the hotplug events dispatcher" "udevd"
    if udevd --daemon; then
    log_end_msg $?
    else
    log_end_msg $?
    fi


    set_hotplug_handler


    if [ -z "$TMPFS_MOUNTED" ]; then
    unmount_devpts
    mount_tmpfs
    [ -d /proc/1 ] || mount -n /proc
    fi


    # if this directory is not present /dev will not be updated by udev
    mkdir -p /dev/.udev/ /dev/.udev/db/ /dev/.udev/queue/ /dev/.udevdb/
    # /dev/null must be created before udevd is started
    make_extra_nodes


    log_action_begin_msg "Synthesizing the initial hotplug events"
    if udevsynthesize; then
    log_action_end_msg $?
    else
    log_action_end_msg $?
    fi


    # wait for the udevd childs to finish
    log_action_begin_msg "Waiting for /dev to be fully populated"
    while [ -d /dev/.udev/queue/ ]; do
    sleep 1
    udevd_timeout=$(($udevd_timeout - 1))
    if [ $udevd_timeout -eq 0 ]; then
    # ps axf
    break
    fi
    done
    if [ $udevd_timeout -eq 0 ]; then
    log_action_end_msg 0 'timeout'
    else
    log_action_end_msg 0
    fi
    ;;


    stop)
    log_daemon_msg "Stopping the hotplug events dispatcher" "udevd"
    if start-stop-daemon --stop --name udevd --quiet --oknodo --retry 5; then
    log_end_msg $?
    else
    log_end_msg $?
    fi
    ;;


    restart|force-reload)
    log_daemon_msg "Stopping the hotplug events dispatcher" "udevd"
    if start-stop-daemon --stop --name udevd --quiet --oknodo --retry 5; then
    log_end_msg $?
    else
    log_end_msg $? || true
    fi


    log_daemon_msg "Starting the hotplug events dispatcher" "udevd"
    if udevd --daemon; then
    log_end_msg $?
    else
    log_end_msg $?
    fi
    ;;


    *)
    echo "Usage: /etc/init.d/udev {start|stop|restart|force-reload}"
    exit 1
    ;;
    esac


    exit 0




    Gruss Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Jawoll, so passt es. Die Frage war deswegen, weil so von udev jedesmal die Links beim Systemstart neu erzeugt werden.


    Die Links von /dev/hdc -> /dev/cdrom usw. werden bei dir nur beim Systemstart neu erzeugt werden, weil nur dann der ide Treiber neu geladen und udev gestartet wird. Und dann wird auf ein sauberes /dev zurückgegriffen, deswegen die Frage nach dem Dateisystem von /dev.

  • Hi, wirbel


    Thanks für die Aufklärung !
    Gut also udev ist in ner Ramdisc
    , und das soll ja auch so sein, aber dennoch würfelts hier die Links
    wie es udev grade gefällt durcheinander.
    Hatte gestern per apt noch hal dbus und udev (alles was halt so dazugehört
    upgedatet (gab etwas neuere Versionen).
    Danach einen Reboot gemacht, und die Links haben zunächst korrekt
    ausgesehen > aber war wohl wieder nur ne Eintagsfliege.


    Jetzt grade gebootet, und die Links sehen wieder ganz anders aus.


    Scheint also egal zu sein welche Versionen von udev etc.. ich hier habe, es klappt
    nie richtig.
    Der ivtv Treiber wird nach wie vor mal vor Dvb mal danach geladen.
    Hab leider keine Ahnung > aber müsste es nicht auch bei udev ne Möglichkeit
    geben den ivtv Treiber permanent vor den Dvb Treibern laden zu können?


    Früher war das ja kein Probs aber seit udev...


    Auch der dma spielt leicht verrückt.
    Mal ist er für hdc nicht auf on mal für hdd, ein anderes mal ist er für beide auf on.
    Wenn ich ne Dvd übers Plugin
    abspiele krieg ich die per Knopf am Laufwerk nicht mehr raus.
    MIt trayopen gehts aber ich muss dreimal trayopen aufrufen.
    MIt dem Befehl,


    DVD-Lade öffnen : eject /dev/dvd1


    krieg ich die Dvd auch raus aber ich muss den Befehl zweimal ausführen.
    Im Log gibts dann das:


    hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:00 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:00 KanotixBox kernel: hdd: DMA disabled
    Mar 11 02:00:00 KanotixBox kernel: hdd: ATAPI reset complete
    Mar 11 02:00:02 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:02 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:02 KanotixBox kernel: hdd: ATAPI reset complete
    Mar 11 02:00:56 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:56 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:56 KanotixBox kernel: hdd: ATAPI reset complete
    Mar 11 02:00:58 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:58 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:58 KanotixBox kernel: hdd: ATAPI reset complete



    Gruss , Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Diese Fehler haben gar nix mit udev zu tun, da kränkelt irgendwas andres entweder in Hardware oder Ressourcen/Irqs.


    Und wenn du natürlich quer Beer ständig irgendwelche Updates fährst ohne zu wissen worin exakt der Unterschied besteht und ob da überhaupt ne chance besteht dass so das Prob gelöst wird wird irgendwann nur dein System platt sein..


    Was ivtv betrifft: es ist egal ob du ivtv vorher lädst oder nicht.
    Aber möglich ist es natürlich. Wo und wie lädst du z.Z. ivtv und dvb? udev lädt im Gegensatz zu devfs nicht die Treiber selbst, die müssen irgendwo eingetragen sein.

  • Hi, wirbel


    Zitat

    Und wenn du natürlich quer Beer ständig irgendwelche Updates fährst ohne zu wissen worin exakt der Unterschied besteht und ob da überhaupt ne chance besteht dass so das Prob gelöst wird wird irgendwann nur dein System platt sein.


    Da hast du natürlich recht.


    Zitat

    Aber möglich ist es natürlich. Wo und wie lädst du z.Z. ivtv und dvb?


    Hm, zu dvb hab ich ne ne /etc/modutils/dvb gefunden
    Sieht so aus:



    probeall /dev/dvb dvb-ttpci
    alias char-major-250 dvb
    alias dvb dvb-ttpci
    below dvb-ttpci ves1x93 alps_tdmb7 alps_tdlb7
    add below dvb-ttpci grundig_29504-401 grundig_29504-491
    add below dvb-ttpci stv0299 ves1820



    In der modules.conf steht dann das:


    ### update-modules: start processing /etc/modutils/dvb
    probeall /dev/dvb dvb-ttpci
    alias char-major-250 dvb
    alias dvb dvb-ttpci
    below dvb-ttpci ves1x93 alps_tdmb7 alps_tdlb7
    add below dvb-ttpci grundig_29504-401 grundig_29504-491
    add below dvb-ttpci stv0299 ves1820



    Zu ivtv hab ich noch nix gefunden.


    Dvb Treiber sind die Kernelintegrierten.
    Tja is schwer da ich Kanotix ja nicht gebaut hab > wenn man sein System selber aufzieht weiss man wo was wie geladen wird etc..



    Zitat

    Diese Fehler haben gar nix mit udev zu tun, da kränkelt irgendwas andres entweder in Hardware oder Ressourcen/Irqs.


    Hardware Fehler schliess ich eher aus > denn hab hier ein Multiboot System
    mit 2x Win einmal Suse-8.2 und eben Kanotix.
    Unter Win und Suse funkt alles.
    Wobei eines funkt nicht mehr seit ich mir so ein Display mit zwei Usb,
    einen I-Link, und Anschluss für Lüfter zugelegt habe > nämlich das AnalogPlugin
    in Suse-8.2


    Ich hab mir diese Display zugelegt weil ich vorne kein Usb habe, durch das Display benötigt das Ding natürlich auch Strom, und man kann halt die Usb und den I-Link Anschluss nach vorne zum Display hin verkabeln.



    Gruss , Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Hi, wirbel


    Hab das derweil so gelöst:


    Hab in der /etc/modules-2.6 folgende Module genau
    in der Reihenfolge eingetragen:


    ivtv
    dvb-ttpci
    stv0299
    ves1820


    Danach hab ich in der /etc/modprobe.d/blacklist folgenden Eintrag gemacht:


    #Diese Treiber nicht automatisch laden
    blacklist ivtv
    blacklist dvb-ttpci
    blacklist stv0299
    blacklist ves1820



    Das funktioniert auch nun wird der ivtv Treiber als erstes geladen.
    Gäbs vielleicht ne bessere Möglichkeit?



    Gruss , Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Na ja, da nicht automatisch geladen wird, hast du irgendwo was doppelt. Aber wenns so geht - wo ist das Prob?

  • Hi , wirbel


    Es wurde ja automatisch geladen in der /etc/modutils/dvb.
    Kann also nur da das doppelte sein.
    Ich lade jetzt per /etc/modules-2.6 > ist normalerweise /etc/modules
    , und das in Verbindung mit Blacklisting beeinflusst dann die Reihenfolge
    in der die Treiber geladen werden.
    Aber egal es funktioniert jetzt.


    Denn auch wenn du sagst die ivtv Treiber müssen nicht als erstes geladen werden, aber wenn sie mal als erstes und dann wieder mal nach den DvbTreibern geladen werden kann das nicht gut sein > denn entweder immer als erstes oder eben immer
    nach den DvbTreibern.


    An meinem SYstem macht mich jetzt wirklich was stutzig > wenn ich,


    cdrecord --dev=ATA --scanbus


    eintippe kommt das:


    cdrecord: Warning: Running on Linux-2.6.15.1-kanotix-3
    cdrecord: There are unsettled issues with Linux-2.5 and newer.
    cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
    scsidev: 'ATA'
    devname: 'ATA'
    scsibus: -2 target: -2 lun: -2
    Warning: Using badly designed ATAPI via /dev/hd* interface.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    Error trying to open /dev/hda exclusively (Device or resource busy)... retrying in 1 second.
    cdrecord: Device or resource busy. Cannot open '/dev/hda'. Cannot open SCSI driver.
    cdrecord: For possible targets try 'cdrecord -scanbus'.
    cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
    cdrecord:
    cdrecord: For more information, install the cdrtools-doc
    cdrecord: package and read /usr/share/doc/cdrecord/README.ATAPI.setup .



    Ist der Befehl etwa falsch > gibts den nimmer?



    Wenn ich,


    cdrecord -scanbus dev=ATAPI


    eintippe kommt:


    cdrecord: Warning: Running on Linux-2.6.15.1-kanotix-3
    cdrecord: There are unsettled issues with Linux-2.5 and newer.
    cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
    scsidev: 'ATAPI'
    devname: 'ATAPI'
    scsibus: -2 target: -2 lun: -2
    Warning: Using ATA Packet interface.
    Warning: The related Linux kernel interface code seems to be unmaintained.
    Warning: There is absolutely NO DMA, operations thus are slow.
    cdrecord: ERROR: unknow subsystem (scd0) in (/dev/sr0)
    Using libscg version 'debian-0.8debian2'.
    cdrecord: Warning: using inofficial version of libscg (debian-0.8debian2 '@(#)scsitransp.c 1.91 04/06/17 Copyright 1988,1995,2000-2004 J. Schilling').
    scsibus0:
    0,0,0 0) 'BENQ ' 'DVD DD DW1620 ' 'B7T9' Removable CD-ROM
    0,1,0 1) 'JLMS ' 'XJ-HD166S ' 'DS1E' Removable CD-ROM
    0,2,0 2) *
    0,3,0 3) *
    0,4,0 4) *
    0,5,0 5) *
    0,6,0 6) *
    0,7,0 7) *
    root@KanotixBox:~#


    Irgendwie keine Spur von hdg (Mein Sil680 Ide Controller wo auch ein Cd-Brenner
    dranhängt).
    Im K3b ist er aber dennoch unter hdg eingetragen, und ich kann damit ohne Probs brennen.


    Ein cdrecord -scanbus zeigt mir dann noch den Usb Cd Brenner korrekt an.




    Wenn ich,


    udevinfo -a -p $(udevinfo -q path -n /dev/hdc)


    eintippe kommt das:


    udevinfo starts with the device the node belongs to and then walks up the
    device chain, to print for every device found, all possibly useful attributes
    in the udev key format.
    Only attributes within one device section may be used together in one rule,
    to match the device for which the node will be created.


    looking at device '/block/hdc':
    KERNEL=="hdc"
    SUBSYSTEM=="block"
    SYSFS{stat}==" 0 0 0 0 0 0 0 0 0 0 0"
    SYSFS{size}=="8388604"
    SYSFS{removable}=="1"
    SYSFS{range}=="1"
    SYSFS{dev}=="22:0"


    looking at device '/devices/pci0000:00/0000:00:1f.1/ide1/1.0':
    ID=="1.0"
    BUS=="ide"
    DRIVER=="ide-cdrom"


    looking at device '/devices/pci0000:00/0000:00:1f.1/ide1':
    ID=="ide1"
    BUS==""
    DRIVER==""


    looking at device '/devices/pci0000:00/0000:00:1f.1':
    ID=="0000:00:1f.1"
    BUS=="pci"
    DRIVER=="PIIX_IDE"
    SYSFS{modalias}=="pci:v00008086d000024CBsv00001043sd00008089bc01sc01i8a"
    SYSFS{local_cpus}=="1"
    SYSFS{irq}=="9"
    SYSFS{class}=="0x01018a"
    SYSFS{subsystem_device}=="0x8089"
    SYSFS{subsystem_vendor}=="0x1043"
    SYSFS{device}=="0x24cb"
    SYSFS{vendor}=="0x8086"


    looking at device '/devices/pci0000:00':
    ID=="pci0000:00"
    BUS==""
    DRIVER==""


    root@KanotixBox:~#



    Das sieht in etwa für hdd, und auch für hdg auch so aus > also hier wird das
    Laufwerk am Sil680IdeController wieder erkannt.


    Auffällig ist vielleicht bei allen drei also hdc.hdd, und hdg steht:


    SYSFS{irq}=="9"


    Könnte das ein Irq Probs darstellen?


    Ansonsten wäre ich jetzt schon bereit das Laufwerk am Sil680IdeController
    irgendwie zu deaktivieren, aber nicht vom Strom und vom IdeKabel zu nehmen
    ,da ich hier ja ein MultibootSys habe, und das Laufwerk auf den anderen Systemen einwandfrei funktioniert.


    Gäbs da ne Möglichkeit hdg also zu deaktivieren nur im Kanotix?


    Den Sil680IdeController kann ich auch nicht komplett rausnehmen da daran
    am ersten Ide meine /video Festplatte hängt die ich ja fürn Vdr brauche.



    Ps:
    Mir ist noch eingefallen, das ich schon unter Kanotix-2005-02 ein bisschen Ärger mit den Laufwerken hatte,aber da man da seine Links noch auf den damals üblichen Weg umbiegen konnte ist das nicht so ins Gewicht gefallen.


    Auch wurden damals bei zumindest bei einem der Befehle;


    cdrecord --dev=ATA --scanbus
    cdrecord -scanbus dev=ATAPI


    wenigstens alle Ide-CdLaufwerke korrekt angezeigt, was ja nun im Kanoticx-2005-04 nicht mehr der Fall ist.



    Werd jetzt mal einfach das hdg vom Ide und vom Strom nehmen, und sehen was passiert.


    Gruss Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Hi, wirbel


    Hab das im Log zu udev:


    Mar 12 14:06:22 KanotixBox edd_id[6265]: main: no kernel EDD support


    brauch ich das > heisst Enhanced Disc Drive?


    Gruss Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Ich weiß es nicht, aber ich glaube nein.

  • Hi , wirbel


    Thanks !


    Hab jetzt bemerkt wenn ich ne Dvd Über das DvdPlugin abspiele
    geht die dann per Knopf am Laufwerk nicht mehr raus.
    Damit sie rauskommt muss ich den Befehl;


    eject /dev/dvd1


    allerdings zweimal ausführen.
    Im Log hab ich dann folgendes stehen:


    Mar 12 14:52:42 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 12 14:52:42 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 12 14:52:42 KanotixBox kernel: hdd: DMA disabled
    Mar 12 14:52:42 KanotixBox kernel: hdd: ATAPI reset complete
    Mar 12 14:52:44 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 12 14:52:44 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 12 14:52:44 KanotixBox kernel: hdd: ATAPI reset complete



    Und jetzt kommts > dabei werden die LaufwerksLinks wieder durcheinander gewürfelt.
    Langsam glaub ich das ist nicht lösbar.



    Gruss , Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • So langsam denke ich an nicht funktionierende Hardware.

  • Hi, wirbel


    Tja würd ich auch denken > aber wieso funktioniert die selbe Hardware
    in der Suse-8.2 perfekt?
    Dort hab ich nur zum Unterschied zum Kanotix für alle Cd-Roms die Scsi Emu
    angedreht.


    Wenn das so weiter geht werd ich mich mal wohl von Kanotix verabschieden müssen,
    und sehen wies mit nem anderen System aussieht.
    Nur welches hm,


    Suse die neuen kommen mir nicht in Frage > sind mir zu aufgebläht.
    Gentoo > da hab ich eh schon die Gen2vdr auf nem anderen Vdr > funkt hervorragend
    nebenbei.


    Linux from Scratch hätte glaub ich schon was > aber ich denke dafür bin ich noch nicht gescheit genug.


    Na ja mal sehen vielleicht hast du ja nen Tipp, oder mir fällt noch was ein.
    In jedem Fall müsste man ja wenn man ein anderes aktuelles System welches mit udev arbeitet ja feststellen können was Sache ist !


    Gruss Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau

  • Hi,


    So, nur der Vollständigkeit halber !


    > das Problem liess sich nicht lösen.
    Hab auch alles durchgecheckt (Kabel etc) es kommt hier definitiv
    kein HardwareProbs in Frage.


    Denn mit der Install von der Kanotix-2006-CeBIT_rc3 sind die Probs Vergangenheit.
    Warum > keine Ahnung kann mir nur vorstellen das der dist-upgrade einiges durcheinanderbringt.
    Hab zwar auch am Kernel herumgebastelt > aber ich hab in Bezug auf Ide
    nix herausgenommen.


    Hier in der Kanotix-2006-CeBIT_rc3 geht zwar ne Dvd welche ich übern Vdr über das
    DvdPlugin abspiele auch nicht per Knopf am Laufwerk heraus > es kommt dabei folgende Fehlermeldung:


    PowerPc kernel: program eject is using a deprecated SCSI ioctl, please convert it to SG_IO
    Mar 16 00:43:58 PowerPc last message repeated 2 times


    Scheint auch harmlos zu sein denn das hab ich auch in der Gen2vdr-1.0rc4


    Aber der Befehl eject /dev/dvd1 funktioniert dafür sofort, und nicht erst beim zweiten mal.


    Das:


    hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:00 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:00 KanotixBox kernel: hdd: DMA disabled
    Mar 11 02:00:00 KanotixBox kernel: hdd: ATAPI reset complete
    Mar 11 02:00:02 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:02 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:02 KanotixBox kernel: hdd: ATAPI reset complete
    Mar 11 02:00:56 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:56 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:56 KanotixBox kernel: hdd: ATAPI reset complete
    Mar 11 02:00:58 KanotixBox kernel: hdd: irq timeout: status=0xd0 { Busy }
    Mar 11 02:00:58 KanotixBox kernel: ide: failed opcode was: unknown
    Mar 11 02:00:58 KanotixBox kernel: hdd: ATAPI reset complete


    gibts jetz nicht mehr in den Logs zu sehen, und das war das HauptProblem welches ich im Kanotix-2005-04 hatte.


    Im weitesten Sinne ist das Probs also doch gelöst.


    Gruss Bert

    Hardware:PIntel Core Duo 2,93 Ghz, AsusP5QL PRO, Gigabyte GeForce GT730 (vdpau), Budget TT-S2 1600, 4Gb Ram Dual Channel, 2x Sata Hd
    Multibootsystem
    yavdr-0.6 mit VDR 2.2.0, Ausgabe über Nvidia vdpau